Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-3540

In 3.x branch (starting with 3.4) the IndexFormatTooOldException was backported, but the error message was not modified for 3.x

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.4
    • Fix Version/s: 3.5
    • Component/s: None
    • Labels:
      None
    • Lucene Fields:
      New, Patch Available

      Description

      In 3.x branch (starting with 3.4) the IndexFormatTooOldException was backported, but the error message was not modified for 3.x:

      This version of Lucene only supports indexes created with release 3.0 and later.

      In 3.x it must be:

      This version of Lucene only supports indexes created with release 1.9 and later.

      Indexes before 1.9 will throw this exception on reading SegmentInfos (LUCENE-3255).

        Attachments

        1. LUCENE-3540.patch
          6 kB
          Uwe Schindler
        2. LUCENE-3540.patch
          1 kB
          Uwe Schindler

          Activity

            People

            • Assignee:
              thetaphi Uwe Schindler
              Reporter:
              thetaphi Uwe Schindler
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: